<?php
		
		include('../conexion.php');
		
		session_start();
		 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'){
		}else{
			header('location:acceso_denegado.php');
		}

$cdgpro=$_GET["cdgpro"];


$consulta ="SELECT * FROM proveedores WHERE cdgpro='$cdgpro'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();


	
	$cedtip=$row["cedtip"];  /////     SELECIONA EL TIPO DE CEDULA ///////////////////////////////////
	$cdgpais=$row["cdgpais"];  /////     SELECIONA EL TIPO DE CEDULA ///////////////////////////////////
	
								
	$cdgprovin=$row["cdgprovin"];
	$query = "SELECT * FROM hac_provincias ";
	$resultado=$mysqli->query($query);
	
	$cdgcanton=$row["cdgcanton"];
	$query2 = "SELECT * FROM hac_cantones where cdgprovin = $cdgprovin   ";
	$resultado2=$mysqli->query($query2);
	
	$cdgdistri=$row["cdgdistri"];
	$query3 = "SELECT * FROM hac_distritos where cdgprovin = $cdgprovin AND  cdgcanton = $cdgcanton   ";
	$resultado3=$mysqli->query($query3);
	
	$cdgbarrio=$row["cdgbarrio"];
	$query4 = "SELECT * FROM hac_barrios where cdgprovin = $cdgprovin AND  cdgcanton = $cdgcanton   AND  cdgdistri = $cdgdistri  ";
	$resultado4=$mysqli->query($query4);
	


				
?>

<html>
	<head>
		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		
		
		<script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
        
      
 		 <script src="..//jquery-maskmoney/src/jquery.maskMoney.js" type="text/javascript"></script>
		
		<script language="javascript">
		
				
	  $(function() {
		//$('#currency').maskMoney();

	$("#ACredito").maskMoney({thousands:',', decimal:'.',precision:2});
	
		  })

							
		//nombre del primer campo en la secuencia
		siguienteCampo = ""
		//nombre del formlario
		nombreForm = "formulario"
		
		//funcion que gestiona el evento
		function TelcaPulsada( e ) {
		
		   if ( window.event != null)				//IE4+
			  tecla = window.event.keyCode;
		   else if ( e != null ) 				//N4+ o W3C compatibles
			  tecla = e.which;
		   else
			  return;
			
		   if (tecla == 13) { 					//se pulso enter
			  if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
				 alert('Envio del formulario.')			//eliminar este alert para uso normal
				 return false					//sustituir por return true para hacer el submit
			  } else { 						//da el foco al siguiente campo
				 eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
				 return false
			  }
		   }
		}
		
		document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
		if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
			document.captureEvents(Event.KEYDOWN)
			

  function redondea(sVal, nDec){ 
    var n = parseFloat(sVal); 
    var s = "0.00"; 
    if (!isNaN(n)){ 
     n = Math.round(n * Math.pow(10, nDec)) / Math.pow(10, nDec); 
     s = String(n); 
     s += (s.indexOf(".") == -1? ".": "") + String(Math.pow(10, nDec)).substr(1); 
     s = s.substr(0, s.indexOf(".") + nDec + 1); 
    } 
    return s; 
   } 

   function ponDecimales(nDec){ 
    document.formulario.ACredito.value = redondea(document.formulario.ACredito.value, nDec); 


   } 
	
		
		function validar() 
			{
				var mensaje="";
				var entero=0;
				var enteroo=0;
		         
				 
		var resultado="ninguno";
 
        var porNombre=document.getElementsByName("regsim");
        for(var i=0;i<porNombre.length;i++)
        {
            if(porNombre[i].checked)
                resultado=porNombre[i].value;
        }	 
		
				if (document.getElementById("ANombre").value=="") mensaje="  - Nombre del Proveedor\n";
				if (document.getElementById("ADireccion").value=="") mensaje+="  - Dirección del Proveedor\n";
				if (document.getElementById("ACedula").value=="") {
				
				 
					
							mensaje+="  -  la Cédula\n"; 
						} 
				if (document.getElementById("Atelefono").value=="") 
						{ 
						mensaje+="  -  El Telefóno\n";
							}
				if (document.getElementById("ACredito").value=="") 
						{ 
						document.getElementById("ACredito").value=0 
						} else {
							entero=document.getElementById("ACredito").value;
						   document.getElementById("ACredito").value=entero;
						
						} 
			
			
			if (resultado==1){
			
				if (document.getElementById("cbx_provincia").value=="") mensaje+="  - Provincia\n";
				if (document.getElementById("cbx_canton").value=="") mensaje+="  - cantón\n";
				if (document.getElementById("cbx_distrito").value=="") mensaje+="  - Distrito\n";
				if (document.getElementById("cbx_barrio").value=="") mensaje+="  - Barrio\n";		
				if (document.getElementById("Acorpro").value=="") mensaje+="  - Correo Electronico\n"; 
				if (document.getElementById("Atelefono").value=="") mensaje+="  -  El Telefóno\n";	
							
				}	

	if (resultado==1){

					object=document.getElementById("Acorpro");
					valueForm=object.value;
				 
					// Patron para el correo
					var patron=/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,4})+$/;
					if(valueForm.search(patron)==0)
					{
			
					} else{
				    mensaje+="  - Correo no existente Favor Corrigalo\n";
						
					}

		}	
				
			
			
				
				if (mensaje!="") {
					alert("Atencion, los siguientes campos son necesarios:\n\n"+mensaje);
				} else {
					
					document.getElementById("formulario").submit();
												
				}
			}
		
		
		jQuery(function($){	
		$("#Atelefono").mask("9999-9999");
		$("#Anumfax").mask("9999-9999");
		});
		
		
			function  mascara_cedula() {
		
		jQuery(function($){	

		tipced=document.getElementById("cedtip").value;
		if (tipced==01) {
		 $("#ACedula").mask("999999999"); 
		 }else if (tipced==02) {
		 $("#ACedula").mask("9999999999");
		  }else if (tipced==03) {
		 $("#ACedula").mask("999999999999");
		  }else if (tipced==04) {
		 $("#ACedula").mask("9999999999"); 
		 }
		
		});
		
		}
		


		function aceptar() {
			location.href="index.php";
		}
		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function limpiar() {
			document.getElementById("formulario").reset();
		}
		
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		

function inicio() {	

		document.getElementById("ANombre").focus();
		
		
		}
		
		
			$(document).ready(function(){
				$("#cbx_provincia").change(function () {

					$('#cbx_distrito').find('option').remove().end().append('<option value="whatever"></option>').val('whatever');
					
					$("#cbx_provincia option:selected").each(function () {
						cdgprovin = $(this).val();
						$.post("includes/getCanton.php", { cdgprovin: cdgprovin }, function(data){
							$("#cbx_canton").html(data);
						});            
					});
				})
			});
			
			$(document).ready(function(){
				$("#cbx_canton").change(function () {
					$("#cbx_canton option:selected").each(function () {
						cdgcanton = $(this).val();
						cdgprovin = document.getElementById("cbx_provincia").value;
						$.post("includes/getDistrito.php", { cdgcanton: cdgcanton ,  cdgprovin: cdgprovin }, function(data){
							$("#cbx_distrito").html(data);
						});            
					});
				})
			});	
			
			
						$(document).ready(function(){
				$("#cbx_distrito").change(function () {
					$("#cbx_distrito option:selected").each(function () {
						cdgdistri = $(this).val();
						cdgprovin = document.getElementById("cbx_provincia").value;
						cdgcanton = document.getElementById("cbx_canton").value;
						$.post("includes/getBarrio.php", { cdgcanton: cdgcanton ,  cdgprovin: cdgprovin , cdgdistri: cdgdistri }, function(data){
							$("#cbx_barrio").html(data);
						});            
					});
				})
			});	
		
				
	
	/////////////////////////////////////////////////////////////// VALIDAR  ////////////////////////////////////////////////////////
		</script>
	</head>
		<body  onLoad="inicio(); nobackbutton(); mascara_cedula();">
		<div id="">
			<div id="zonaContenido">
				<div align="center">
				  
				  <div id="tituloForm" class="header">Modificar Proveedor </div>
				 <p>&nbsp;</p>
				  <div id="frmBusqueda" class="contenidoCliente">
				 
				  <form id="formulario" name="formulario" method="post" action="guardar_proveedor.php">
			
				  <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>
                    
                    <tr>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td colspan="4">&nbsp;</td>
                    </tr>
                    
                    <tr>
                      <td>&nbsp;</td>
                      <td>Codigo</td>
                      <td colspan="4"><input name="cdgpro" type="text" class="cajaPequena" value="<?php echo $row["cdgpro"] ?>" id="cdgpro" readonly></td>
                    </tr>
                    
                    <tr>
                      <td width="1%">&nbsp;</td>
                      <td width="10%">Nombre</td>
                      <td colspan="4"><input name="ANombre" type="text" class="cajaGrande" value="<?php echo $row["dscpro"]?>" id="ANombre" maxlength="55" readonly="" onFocus="siguienteCampo ='ADireccion';"></td>
                    
					    <?php   
				
					$regsim= $row["regsim"] ;

						if($regsim==1){?>
                          <td colspan="4"><input type="checkbox" name="regsim" checked value="1" readonly="" id="regsim" >
                            Regimen Simplificado</td>
                          <?php  }else{  ?>
                          <td width="12%" colspan="3"><input type="checkbox" name="regsim"  readonly="" value="1"  id="regsim" >
                      Regimen Simplificado</td>
                          <?php  }  ?>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td>Dirección</td>
                      <td colspan="4"><input id="ADireccion" type="text"  readonly="" class="cajaGrande" value="<?php echo $row["dirpro"]?>" name="ADireccion" maxlength="150"  onFocus="siguienteCampo ='Acorpro';"></td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>Provincia</td>
                      <td>Canton</td>
                      <td>Distrito</td>
                      <td>Barrio</td>
                    </tr>
                    <tr>
					
					   
                      <td>&nbsp;</td>
                      <td>Direccion</td>
                      <td><select name="cbx_provincia" id="cbx_provincia"  disabled="disabled" class="comboGrande">
                        <?php 
							while($row2 = $resultado->fetch_assoc()) {
							if ($cdgprovin ==  $row2["cdgprovin"]) { ?>
                        <option value="<?php echo $row2['cdgprovin']; ?>" selected="selected"><?php echo $row2['dscprovin']; ?></option>
                        <?php } else { ?>
                        <option value="<?php echo $row2['cdgprovin']; ?>"><?php echo $row2['dscprovin']; ?></option>
                        <?php } ;
								} ?>
                      </select></td>
                      <td><select name="cbx_canton" id="cbx_canton" disabled="disabled" class="comboGrande">
                        <?php 
							while($row3 = $resultado2->fetch_assoc()) {
							if ($cdgcanton ==  $row3["cdgcanton"]) { ?>
                        <option value="<?php echo $row3['cdgcanton']; ?>" selected="selected"><?php echo $row3['dsccanton']; ?></option>
                        <?php } else { ?>
                        <option value="<?php echo $row3['cdgcanton']; ?>"><?php echo $row3['dsccanton']; ?></option>
                        <?php } ;
								} ?>
                      </select></td>
                      <td><select name="cbx_distrito" id="cbx_distrito" disabled="disabled"  class="comboGrande" >
                        <?php 
							while($row4 = $resultado3->fetch_assoc()) {
							if ($cdgdistri ==  $row4["cdgdistri"]) { ?>
                        <option value="<?php echo $row4['cdgdistri']; ?>" selected="selected"><?php echo $row4['dscdistri']; ?></option>
                        <?php } else { ?>
                        <option value="<?php echo $row4['cdgdistri']; ?>"><?php echo $row4['dscdistri']; ?></option>
                        <?php } ;
								} ?>
                      </select></td>
                      <td><select name="cbx_barrio" id="cbx_barrio"  disabled="disabled" class="comboGrande" >
                        <?php 
							while($row5 = $resultado4->fetch_assoc()) {
							if ($cdgbarrio ==  $row5["cdgbarrio"]) { ?>
                        <option value="<?php echo $row5['cdgbarrio']; ?>" selected="selected"><?php echo $row5['dscbarrio']; ?></option>
                        <?php } else { ?>
                        <option value="<?php echo $row5['cdgbarrio']; ?>"><?php echo $row5['dscbarrio']; ?></option>
                        <?php } ;
								} ?>
                      </select></td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td>Correo</td>
                      <td colspan="4"><input id="Acorpro" type="text" readonly="" class="cajaGrande" value="<?php echo $row["corpro"]?>"  name="Acorpro" maxlength="150"  onFocus="siguienteCampo ='ACedula';"></td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
					  	 <?php 			  	
			 	
						$query = "SELECT * FROM hac_tipo_identificacion   ";
						$resultado=$mysqli->query($query);
			?>		
                      <td>Cédula </td>
                      <td width="17%"><select name="cedtip" id="cedtip"  disabled="disabled" class="comboGrande" onChange="mascara_cedula();">
                        <?php 
							while($fila= $resultado->fetch_assoc()) {
							if ($cedtip ==  $fila["cdgced"]) { ?>
                        <option value="<?php echo $fila['cdgced']; ?>" selected="selected"><?php echo $fila['dscced']; ?></option>
                        <?php } else { ?>
                        <option value="<?php echo $fila['cdgced']; ?>"><?php echo $fila['dscced']; ?></option>
                        <?php } ;
								} ?>
                      </select></td>
                      <td><input name="ACedula" type="text" readonly="" class="cajaGrande" value="<?php echo $row["cedpro"]?>" id="ACedula"  maxlength="20"  onFocus="siguienteCampo ='Atelefono';"></td>
					   <?php
						$estpro= $row["estpro"];
						$query_estcli = "SELECT * FROM  estatus ORDER BY nomest ASC";
                        $result = $mysqli->query($query_estcli);
						$contador=0;
					  ?>
                      <td>Estado</td>
                        <td><select id="comboestatus" name="comboestatus"  disabled="disabled" class="comboGrande"  onFocus="siguienteCampo ='combocredito';">
                         <?php
					 
								while ($fila = $result->fetch_assoc()) { 
									if ($estpro ==  $fila["nomest"]) { ?>
                            <option value="<?php echo  $fila["nomest"]?>" selected="selected"><?php echo  $fila["nomest"]?></option>
                            <?php } else { ?>
                            <option value="<?php echo  $fila["nomest"]?>"><?php echo  $fila["nomest"]?></option>
                            <?php } ;
								} ?>
                        </select></td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
					  		               <?php
				
                            $query_pais = "SELECT * FROM hac_codigo_pais   ORDER BY dscpais ASC";
                            $result = $mysqli->query($query_pais);
           
					  ?>
                      <td>Teléfono</td>
                      <td><select name="cdgpais" id="cdgpais" disabled="disabled" class="comboGrande">
                        <?php 
							while($fila= $result->fetch_assoc()) {
							if ($cdgpais ==  $fila["cdgpais"]) { ?>
                        <option value="<?php echo $fila['cdgpais']; ?>"  selected="selected"><?php echo $fila['cdgpais']." ".$fila['dscpais']; ?></option>
                        <?php } else { ?>
                        <option value="<?php echo $fila['cdgpais']; ?>"><?php echo $fila['cdgpais']." ".$fila['dscpais']; ?></option>
                        <?php } ;
								} ?>
                      </select></td>
                      <td width="17%"><input id="Atelefono" readonly="" name="Atelefono" type="text" class="cajaGrande" value="<?php echo  $row["numtel"] ?>"  maxlength="25" onFocus="siguienteCampo ='Anumfax';"></td>
                      <td width="14%">Fax</td>
                      <td width="20%"><input id="Anumfax"  readonly="" name="Anumfax" type="text" class="cajaGrande" value="<?php echo $row["numfax"];?>" maxlength="25" onFocus="siguienteCampo ='ACredito';"></td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td width="10%">Limite</td>
                      <td><input id="ACredito" name="ACredito" readonly="" type="text" class="cajaGrande" value="<?php echo number_format( $row["limcre"],2,".",",")?>"  style='text-align:right';   onFocus=" siguienteCampo ='Actaban';"></td>
                      <td>&nbsp;</td>
					  <?php
							$cdgpla= $row["cdgpla"];
				 			$query_cdgpla = "SELECT * FROM plazos ORDER BY numdia ASC";
                            $result = $mysqli->query($query_cdgpla);
						 	?>
                      <td><div align="left">Plazos Crédito </div></td>
                    <td><select id="combocredito" name="combocredito" disabled="disabled" class="comboGrande"  onFocus="siguienteCampo ='ANombre';">
                              <?php
				  while ($fila = $result->fetch_assoc()) { 
									if ($cdgpla ==  $fila["numdia"]) { ?>
                            <option value="<?php echo  $fila["numdia"]?>" selected="selected"><?php echo  $fila["letradia"]?></option>
                            <?php } else { ?>
                            <option value="<?php echo  $fila["numdia"]?>"><?php echo  $fila["letradia"]?></option>
                            <?php } ;
								} ?>                          </select></td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td>Cuenta Bcos </td>
                      <td colspan="3"><input id="Actaban" readonly="" type="text" class="cajaGrande"  value="<?php echo  $row["ctaban"] ?>" autocomplete="off" name="Actaban" maxlength="70"  onFocus="siguienteCampo ='Actaban2';"></td>
                      <td>&nbsp;</td>
                    </tr>
                    <tr>
                      <td width="1%">&nbsp;</td>
                      <td>Cuenta Bcos </td>
                      <td colspan="3"><input id="Actaban2" readonly="" type="text" class="cajaGrande" value="<?php echo  $row["ctaban2"]?>" autocomplete="off" name="Actaban2" maxlength="70"  onFocus="siguienteCampo ='ANombre';"></td>
                      <td>&nbsp;</td>
                    </tr>
                    </table>
		
		
						    <input id="accion" name="accion" value="modificar" type="hidden">
					    <input id="id" name="id" value="" type="hidden">		
			  </form>	
		  </div>
				
				<div id="botonBusqueda"></div>
			    <span class="contenido"><img src="../img/Undo_48x48-32.png" width="48" height="48" border="0" class="aCentro" title="Salir" onClick="aceptar()" onMouseOver="style.cursor=cursor"></span></div>
		  </div>
		</div>
	</body>
</html>
	